summaryrefslogtreecommitdiff
path: root/Documentation/BuildInstructions.md
diff options
context:
space:
mode:
authorBen Wiederhake <BenWiederhake.GitHub@gmx.de>2021-01-30 20:09:42 +0100
committerAndreas Kling <kling@serenityos.org>2021-02-01 09:54:32 +0100
commit52fff644d5b2f93a7e6f05b002f1af605c142cd5 (patch)
tree7824015f41bd09a2727d829e7caaec7d1993a2fd /Documentation/BuildInstructions.md
parentcbee0c26e18a6b43e3a24d63a0cf47150593f922 (diff)
downloadserenity-52fff644d5b2f93a7e6f05b002f1af605c142cd5.zip
Documentation: Keymaps are nice, document them!
fixup! Meta+Documentation: Fix sync-local.sh support, document keymaps
Diffstat (limited to 'Documentation/BuildInstructions.md')
-rw-r--r--Documentation/BuildInstructions.md20
1 files changed, 20 insertions, 0 deletions
diff --git a/Documentation/BuildInstructions.md b/Documentation/BuildInstructions.md
index e1ce1224e6..a33f43ed6e 100644
--- a/Documentation/BuildInstructions.md
+++ b/Documentation/BuildInstructions.md
@@ -169,3 +169,23 @@ Later on, when you `git pull` to get the latest changes, there's (usually) no ne
#### Ports
To add a package from the ports collection to Serenity, for example curl, go into `Ports/curl/` and run **./package.sh**. The sourcecode for the package will be downloaded and the package will be built. After that, run **make image** from the `Build/` directory to update the disk image. The next time you start Serenity with **make run**, `curl` will be available.
+
+#### Keymap
+
+Create a file with the exact name `sync-local.sh` in the project root (the same directory as `.clang-format`), with content like this:
+
+```
+#!/bin/sh
+
+set -e
+
+cat << 'EOF' >> mnt/etc/SystemServer.ini
+
+[keymap]
+Executable=/bin/keymap
+Arguments=de
+User=anon
+EOF
+```
+
+This will configure your keymap to German (`de`) instead of US English. See [`Base/res/keymaps/`](../Base/res/keymaps/) for a full list.